Activity log for bug #873584

Date Who What changed Old value New value Message
2011-10-13 18:35:28 Wookey bug added bug
2011-10-13 18:35:28 Wookey attachment added Build log https://bugs.launchpad.net/bugs/873584/+attachment/2540826/+files/udev-20111004-1804.log
2011-10-13 18:36:06 Wookey description udev fails to cross-build due to xdeb failing to install cross-dependencies: Considering source package udev sudo apt-get -y --allow-unauthenticated -o Dir::State::Lists=/home/wookey/testing/build/build/xdeb/lists.apt -o Dir::Cache::pkgcache=/home/wookey/testing/build/build/xdeb/pkgcache.bin -o Dir::Cache::srcpkgcache=/home/wookey/testing/build/build/xdeb/srcpkgcache.bin -o Dir::Etc::sourcelist=/home/wookey/testing/build/build/xdeb/sources.list --no-install-recommends install gir1.2-glib-2.0-armel-cross libgirepository1.0-dev-armel-cross libglib2.0-dev-armel-cross libselinux1-dev-armel-cross libsepol1-dev-armel-cross libusb-dev-armel-cross Reading package lists... Building dependency tree... Reading state information... Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. The following information may help to resolve the situation: The following packages have unmet dependencies: gir1.2-glib-2.0-armel-cross : Depends: libgirepository-1.0-1-armel-cross (>= 0.10.2) but it is not going to be installed Depends: libglib2.0-0-armel-cross (>= 2.28.0) but it is not going to be installed libgirepository1.0-dev-armel-cross : Depends: libgirepository-1.0-1-armel-cross (= 0.10.7-0ubuntu1) but it is not going to be installed libglib2.0-dev-armel-cross : Depends: libglib2.0-0-armel-cross (= 2.28.6-0ubuntu1) but it is not going to be installed Depends: libpcre3-armel-cross (>= 8.10) but it is not installable This may be an issue of unclean build chroot rather than xdeb doing it wrong. udev fails to cross-build due to xdeb failing to install cross-dependencies: Considering source package udev sudo apt-get -y --allow-unauthenticated -o Dir::State::Lists=/home/wookey/testing/build/build/xdeb/lists.apt -o Dir::Cache::pkgcache=/home/wookey/testing/build/build/xdeb/pkgcache.bin -o Dir::Cache::srcpkgcache=/home/wookey/testing/build/build/xdeb/srcpkgcache.bin -o Dir::Etc::sourcelist=/home/wookey/testing/build/build/xdeb/sources.list --no-install-recommends install gir1.2-glib-2.0-armel-cross libgirepository1.0-dev-armel-cross libglib2.0-dev-armel-cross libselinux1-dev-armel-cross libsepol1-dev-armel-cross libusb-dev-armel-cross Reading package lists... Building dependency tree... Reading state information... Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. The following information may help to resolve the situation: The following packages have unmet dependencies:  gir1.2-glib-2.0-armel-cross : Depends: libgirepository-1.0-1-armel-cross (>= 0.10.2) but it is not going to be installed                                Depends: libglib2.0-0-armel-cross (>= 2.28.0) but it is not going to be installed  libgirepository1.0-dev-armel-cross : Depends: libgirepository-1.0-1-armel-cross (= 0.10.7-0ubuntu1) but it is not going to be installed  libglib2.0-dev-armel-cross : Depends: libglib2.0-0-armel-cross (= 2.28.6-0ubuntu1) but it is not going to be installed                               Depends: libpcre3-armel-cross (>= 8.10) but it is not installable This may be an issue of unclean build chroot rather than xdeb doing it wrong. Background: The build command is: xdeb --only-explicit -a armel --prefer-apt --apt-source --debug --force-rebuild udev The actual build command xdeb issues is: debuild --no-lintian -eUSER -eCONFIG_SITE=/etc/dpkg-cross/cross-config.armel -eDEB_BUILD_OPTIONS=nocheck -eGTEST_INCLUDEDIR=/usr/arm-linux-gnueabi/include -eGTEST_LIBDIR=/usr/arm-linux-gnueabi/lib -ePKG_CONFIG_LIBDIR=/usr/arm-linux-gnueabi/lib/pkgconfig:/usr/arm-linux-gnueabi/share/pkgconfig:/usr/share/pkgconfig -eDH_VERBOSE=1 -aarmel -b -uc -us -tc To easily reproduce the build environment in which this bug was discovered follow the HOWTO here: https://wiki.linaro.org/Platform/DevPlatform/CrossCompile/CrossBuildNano
2011-10-19 15:01:00 Loïc Minier affects xdeb (Ubuntu) udev (Ubuntu)
2011-10-19 16:47:36 Loïc Minier udev (Ubuntu): status New In Progress
2011-10-19 16:47:39 Loïc Minier udev (Ubuntu): assignee Loïc Minier (lool)
2011-10-19 16:53:44 Loïc Minier udev (Ubuntu): status In Progress Fix Committed
2011-10-19 17:00:11 Launchpad Janitor udev (Ubuntu): status Fix Committed Fix Released
2011-10-20 19:09:47 Launchpad Janitor branch linked lp:ubuntu/udev
2011-10-21 07:01:48 Launchpad Janitor branch linked lp:~ubuntu-core-dev/ubuntu/precise/udev/ubuntu